﻿@page
@model UrlModifyApp.Pages.URLInfo.IndexModel

@{
    ViewData["Title"] = "Index";
}

@if (Request.Cookies["MyCookie"] == null)
{
    <p class="alert-danger">
        @ViewBag.error
        @Html.ValidationMessage("error_msg")
    </p>
}
else
{
    <p>
        <a asp-page="Create" asp-route-id="@ViewData["userId"]">Create New</a> |
        <input class="btn btn-info text-right" type="button" id="button" value="Logout" />
    </p>
    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.UrlinfoModel[0].LongUrl)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.UrlinfoModel[0].ShortUrl)
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @if (Model.UrlinfoModel != null)
            {
                @foreach (var item in Model.UrlinfoModel)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.LongUrl)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.ShortUrl)
                        </td>
                        <td>
                            <a asp-page="./Edit" asp-route-id="@item.Id" asp-route-userId="@item.UserId">Edit</a> |
                            <a asp-page="./Details" asp-route-id="@item.Id">Details</a> |
                            <a asp-page="./Delete" asp-route-id="@item.Id">Delete</a>
                        </td>
                    </tr>
                }
            }
        </tbody>
    </table>
}

@section Scripts
    {
    <script type="text/javascript">
        document.getElementById("button").onclick = function () { myFunction() };

        function myFunction() {
            window.location.href = './Logout/';
        }
    </script>
}
